Ubuntu

ubuntu 12.04 completely freezes frequently.

Reported by ketanpatil on 2012-05-02
This bug affects 486 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Precise
Critical
Unassigned
xserver-xorg-video-intel (Ubuntu)
High
Unassigned
Precise
Undecided
Unassigned

Bug Description

Update: 6/12/2012
This bug is about a complete system lock-up. No other TTYs can be started. Mouse doesn't move. Keyboard doesn't react. The only solution is hard reset.

Seems to happen on a variety of configurations, including nVidia, ATI and Intel graphics.

If you are still able to TTY or SSH into other sessions, move the mouse or use the keyboard, file another bug.

Thx. Joris V. (brains).

Update: 5/21/2012
Updating the kernel to 3.3.6 as suggested by Michael in #91, the system seems stable, no freezes yet in 5-6 hrs of using and watching videos for couple of hrs.

Original description:
I recently installed newly released ubuntu 12.04 LTS 64 bit version on my desktop. And it is frequently freezing, for the first few hours it ran smoothly and when I started watching videos it started freezing randomly.
I have to use hard restart every time.
Initially it was only during videos but now even during normal browsing it is freezing.

I am using on board graphics and do not have any graphics card installed.

Can someone please help me here, I really love the new looks of 12.04 and it bugs me not being able to use :(

Below is my hardware configuration:
Processor: Intel CORE i3 processor (2nd generation)
Board: Intel® Desktop Board DH67BL
Ram: 4GB
Graphics: On board
HDD: 500 GB

Please let me know if you need more information, or any specific logs I can capture (and how).

Thanks,
Ketan Patil

ketanpatil (patil-ketan) on 2012-05-02
tags: added: freeze
tags: added: graphics

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/993187/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment

Updated the package to xorg since this appears to be a display issue. I am sorry for not being able to pinpoint more.

affects: ubuntu → xorg (Ubuntu)
Hugo Venhorst (yougo) wrote :

i'm experiencing random freezes too.

OS: ubuntu 12.04 64 bit
kernel: 3.2.0.24 generic
Gnome 3.4.1
Device: Acer 9300 laptop
RAM: 1.7 GiB
CPU: AMD Athlon(tm) 64 X2 Dual-Core Processor TK-53 × 2
Graphics card: NVIDIA GeForce Go 6100
Graphics driver: Nouveau

I'm on Nouveau because of the NVIDIA security patch debacle (bug 982485)

the system freezes at seemingly random points and leaves me with only a cursor.
i can reboot through CTRL+ALT+SysRq REISUB, and it does close open programs properly, though unsaved data is lost.

i am at a loss what commands to type to get log results etc.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg (Ubuntu):
status: New → Confirmed
Hugo Venhorst (yougo) wrote :

i managed to file a report with added data. see Bug #994203

Daniel Ferradal (dferradal) wrote :

I have this problem too.

I have tried selecting ubuntu2d to no avail either, it freezes.

I have tried to not log in to X with lightdm, but instead just do a alt+f1 and go straight to console and I get a total freeze even.

Tried to connect from the outsite but the ip of the machine in question was not responding. So it is a total freeze.

After installing, some reboots, installing propietary nvidia driver 295.40, which worked fine for me and working with the desktop for a while I got my first freeze, since then, I have tried uninstalling the nvidia propietary driver but I still get freezes, quicker freezes even.

My freezes are fast but I managed to collect some preliminary data.

Dmesg.txt includes dmesg complete output + lspci + lsusb output.

If there is any other specific info/log I could provide just tell me

tags: removed: graphics
Sentrist Starleaf (starleaf1) wrote :

This also affects me. It seems to have a higher chance while browsing the web, regardless of the browser I use.
When it freezes, nothing but the cursor responds. I am using drivers from xorg-xserver-video-ati, no proprietary driver.

Ubuntu 12.04 32bit.
VAIO VGN-CR353
ATi Mobility Radeon X2300
Intel Core2 Duo T8100

Daniel Ferradal (dferradal) wrote :

We're talking about a complete system freeze. If you can move the mouse it is related to graphics only.

Pdparo (pdparo) wrote :

Hi, I'm also experiencing random freezes. Same symptoms: nothing but the cursor responds.
I have and AMD Radeon HD 6600M Series.
I DID NOT installed the suggested fglrx driver during the installation.
My machine is a Dell Vostro 3550.

Hein (hhanssen) wrote :

Hi,

I also have these random freezes (Pangolin 64 bit on a Acer 5720 laptop with Nvidia Graphics and the restricted / Closed source Nvidia driver installed).

I have noticed though that it is 'only' the screenoutput that freezes/ comes to a halt. Yes, the mouse cursor still moves, but nothing else seems to happen. But as I was copying lots of files and my screen freezed I did not touch my system until I was confident that the copy process should be ready: in fact the control leds of my HD worked! and my Wifi indicator also worked (I was also downloading a file).

After a while (led of HD and Wifi returned to idle) I switched off my system and rebooted the system. The files were copied correctly and my download was saved properly in my downloads directory.

I have also noticed that starting any browser (Firefox / Chrome) will hang the system more quickly. I have also noticed that other 'screen-intensive' software like e.g. shotwell or any fotoviewer will cause the system to hang if used heavily.

This bug seems to be highly related to screen output and apparantly nothing else. As Pdparo reports this on AMD Radeon as well (and even without the closed source driver installed) it is most likely not a problem directly caused by those drivers.

I have noticed that my screens sometimes 'flashes' (on/off, but then very very fast) as it seems to refresh the screen.

If you google this subject you will find lots of posts in forums as well: this seems to be a huge issue!

I hope this information will help killing this nasty bug asap!

ketanpatil (patil-ketan) on 2012-05-07
description: updated
Hein (hhanssen) wrote :

I just found these 'solutions'. Perhaps it helps to sort out the problem:
http://www.andreagrandi.it/2012/04/27/ubuntu-12-04-nvidia-8800-gs-and-nouveau-drivers/
http://blog.shevin.info/

David Lowes (davidl-david) wrote :

I think this issue is related to "compiz"

I found a workaround for this issue:

When the computer freezes do the following:

1. CTRL+ALT+F1 (to get to the console)
2. login as your user.
3. sudo pkill compiz-redirector

Xwindows will appear to restart but the applications running under your X will not be killed.

Christophe (touil1976) wrote :

I have the same problem.

I use a freshly installed Ubuntu 12.04, and when I log under unity (3d) the GUI freezes after some time randomly. It can be when I surf the web with firefox or when I read a pdf file in evince. The mouse still moves on the screen, but nothing happens when I click somewhere. The system goes on working, for example, the music in rythmbox does not hang.

I think the problem is due to compiz, as no problem occurs when I log under unity2d.

David Lowes (davidl-david) wrote :

I want to correct the procedure:

1. CTRL+ALT+F1
2.Login as user.
3. sudo pkill compiz-decorator
4. pkill -9 compiz

Christophe (touil1976) wrote :

I think this could help. The bug just appeared again as I was within a gnome classic (WITH effects) session with my ubuntu 12.04 64 bits.

So it looks like it's really a issue of compiz and not really a bug in unity.

Johan Lejonborn (soltrumman) wrote :

This bug seems to affect me as well. Ubuntu 12.04 64bit, Nvidia 295.40.

Screen freezes and the cursor stops moving. Also experienced a black screen followed by a forced reebot.
Other operating systems on the computer works fine.

Brendan Brigham (brigham) wrote :

I'm also having a similar complete freeze, no mouse movement. Fresh install 12.04 32bit is freezing every so often. Was watching a video earlier, noticed the curser was no longer moving for me then the video started shuddering. Was typing an email a few minutes ago when it froze again. I think this has happened like 5 or 6 times now. I have to hold the power button to shut it down, then when it starts again it stops at the colored screen but has a black section across it with colored lines around the edges of the black, press the reset button and it will boot to the grub boot menu. From there it starts ok but long boot time.

Release 12.04 (precise) 32-bit
Kernel Linux 3.2.0-24-generic-pae
GNOME 3.4.1

Intel® Core™ i3 CPU 540 @ 3.07GHz × 4
Asus ENGT240, not using Nvidia drivers due to the white screen issue with one of my multiple monitors.

Fredde (fredde-iki) wrote :

Same problem here, freezes about once every work day, which is rather alarming. Mouse moves and music keeps playing. I can Ctrl+Alt+F1 into the console, but if i try to go back without restarting anything, it will lock down completely, with a hard reset left as the only option.

Release: 12.04 64-bit
Kernel: Linux 3.2.0-24-generic #37-Ubuntu SMP

Intel® Core™ i7-2600 CPU @ 3.40GHz × 8
16 GB RAM
Linux installed on SSD-drive
Dual monitors (read somewhere that this might be related)
Video card: Advanced Micro Devices [AMD] nee ATI RV515GL [FireGL V3350]
Video driver: xorg default, no proprietary driver.

James (softwarearchitect73) wrote :

Problem : Ubuntu 12.04 freezes , not able to click any button on keyboard or mouse , unable to go to console or reboot. the screen looks 3/4th black and 1/4th grey color. power off is the only option.

some more details.
I am using Intel i5 Dell laptop with 8GB RAM, Upgraded from Ubuntu 11.10 to 12.04, while this happend , I was using virtual box VM, JDeveloper and Mozilla Browser was Open . I often used to get "crash report" with send message button .

Conclusion : Ubuntu 11.10 seemed to be very stable - for 2 years it never crashed. But with 12.04 - its been hard to work

yorgasor (yorgasor) wrote :
Download full text (4.0 KiB)

It looks like we may have two separate bugs. People who have their xsession mostly freeze but can still access the console and move the mouse, and those whose systems completely lock up. I'm getting the 'completely locked up' problem.

I started with the default nvidia drivers. I would get almost daily system freezes so I upgraded to the latest ones available from the 'Additional Drivers' menu. I still had daily system freezes, so I disabled the nvidia drivers from the 'Additional Drivers' menu and started using the nouveau drivers. This still locks up daily. It doesn't matter if I'm using the system or not, sometimes I'll find it frozen when I get up in the morning.

I'm using 12.04 64 bit with kernel 3.2.0-24-generic #37-Ubuntu SMP. This computer was rock solid before my upgrade to 12.04. I can see errors in the /var/log/syslog file at the time of the system freeze. I get messages like the one below. Sometimes I'll get many register dumps, one for each CPU in my 8 core system. The process name is always different as well, but it's always a BUG: soft lockup error. For those experiencing just the X freezes, but can still log in remotely or on the console, it would be good to know if you see something similar. It might help determine whether these are two separate bugs or the same bug that affects people differently.

May 10 12:41:54 bread kernel: [58856.680822] BUG: soft lockup - CPU#1 stuck for 22s! [gvfs-gdu-volume:3807]
May 10 12:41:54 bread kernel: [58856.680826] Modules linked in: autofs4 bnep ppdev rfcomm bluetooth nfsd binfmt_misc nfs lockd fscache auth_rpcgss nfs_acl sunrpc dm_crypt snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq snd_timer snd_seq_device psmouse snd serio_raw pl2303 usbserial soundcore snd_page_alloc i7core_edac edac_core ioatdma dca mac_hid shpchp lp parport nouveau firewire_ohci firewire_core crc_itu_t usbhid hid e1000e ttm mptsas drm_kms_helper mptscsih mptbase drm scsi_transport_sas i2c_algo_bit mxm_wmi wmi video floppy [last unloaded: parport_pc]
May 10 12:41:54 bread kernel: [58856.680882] CPU 1
May 10 12:41:54 bread kernel: [58856.680884] Modules linked in: autofs4 bnep ppdev rfcomm bluetooth nfsd binfmt_misc nfs lockd fscache auth_rpcgss nfs_acl sunrpc dm_crypt snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq snd_timer snd_seq_device psmouse snd serio_raw pl2303 usbserial soundcore snd_page_alloc i7core_edac edac_core ioatdma dca mac_hid shpchp lp parport nouveau firewire_ohci firewire_core crc_itu_t usbhid hid e1000e ttm mptsas drm_kms_helper mptscsih mptbase drm scsi_transport_sas i2c_algo_bit mxm_wmi wmi video floppy [last unloaded: parport_pc]
May 10 12:41:54 bread kernel: [58856.680926]
May 10 12:41:54 bread kernel: [58856.680930] Pid: 3807, comm: gvfs-gdu-volume Not tainted 3.2.0-24-generic #37-Ubuntu Supermicro X8DA6/X8DA6
May 10 12:41:54 bread kernel: [58856.680935] RIP: 0010:[<ffffffff8103db25>] [<ffffffff8103db25>] __ticket_spin_lock+0x25/0x30
May 10 12:41:54 bread kernel: [58856.680944] RSP: 0018:ffff880622ef9b48 EFLAGS: 00000297
May 10 12...

Read more...

Trevor Bradley (ck-trevor) wrote :

This is hitting both my home server and my work desktop hard.

I can freeze my 64 bit 12.04 desktop by opening a few windows (firefox, thunderbird, rhythmbox) and holding down alt-tab for a few seconds. My home server is freezing about every 24-48 hours and my software RAID isn't very happy about being constantly rebooted.

In some instances the mouse pointer can move, other times it is frozen. Music continues to play but starts getting patchy. The times where I have had top open, system load skyrockets.

I'd love to help diagnose this, but am uncertain what info I can give when things freeze up. I can reproduce this freeze on demand. What diagnosic info can I give?

Trevor Bradley (ck-trevor) wrote :

The freezing is so bad I'm often unable to switch to a terminal with Ctrl-Alt-F1, and when I can't I can't get past the password prompt. The whole thing just seizes up. I could try having a terminal open from another machine and watch the behaviour of top.

Trevor Bradley (ck-trevor) wrote :

Switching to nvidia drivers 295.49 and fixing a conflict in CompizConfig where both the Unity Application switcher and Application Switcher were activated simultaneously seems to have resolved the issue on my work computer. Crossing fingers that I can fix things when I get home...

Brendan Brigham (brigham) wrote :
Download full text (4.3 KiB)

I'm adding an update to my previous post, system has froze 5 times this morning and I have part of a log file from the incidents. Every freeze shows the same entries and can not access terminal through ctrl+alt+f2...
        -----------------

May 10 16:27:04 brendan-MS-7636 kernel: [ 6695.819009] [drm] nouveau 0000:01:00.0: vm flush timeout: engine 0
May 10 16:27:10 brendan-MS-7636 kernel: [ 6700.136157] [drm] nouveau 0000:01:00.0: PFIFO_INTR 0x04000000 - Ch 2
May 10 16:27:10 brendan-MS-7636 kernel: [ 6702.131867] [drm] nouveau 0000:01:00.0: vm flush timeout: engine 5
May 10 16:27:12 brendan-MS-7636 kernel: [ 6704.127705] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x00bff403 0x00140008 0x0000106d 0x0014db43
May 10 16:27:14 brendan-MS-7636 kernel: [ 6706.123291] [drm] nouveau 0000:01:00.0: vm flush timeout: engine 0
May 10 16:27:19 brendan-MS-7636 kernel: [ 6709.404267] hrtimer: interrupt took 192483135 ns
May 10 16:27:19 brendan-MS-7636 kernel: [ 6710.440891] [drm] nouveau 0000:01:00.0: PRAMIN flush timeout
May 10 16:27:19 brendan-MS-7636 kernel: [ 6710.440932] [drm] nouveau 0000:01:00.0: PFIFO_INTR 0x00800000 - Ch 2
May 10 16:27:21 brendan-MS-7636 kernel: [ 6712.436529] [drm] nouveau 0000:01:00.0: vm flush timeout: engine 5
May 10 16:27:21 brendan-MS-7636 kernel: [ 6712.436622] [drm] nouveau 0000:01:00.0: PFIFO_INTR 0x04000000 - Ch 2
May 10 16:27:25 brendan-MS-7636 kernel: [ 6714.432254] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x00bff403 0x00140008 0x0000106d 0x0014db43
May 10 16:27:25 brendan-MS-7636 kernel: [ 6716.427840] [drm] nouveau 0000:01:00.0: vm flush timeout: engine 0
May 10 16:27:30 brendan-MS-7636 kernel: [ 6722.070451] [drm] nouveau 0000:01:00.0: PRAMIN flush timeout
May 10 16:27:30 brendan-MS-7636 kernel: [ 6722.070461] [drm] nouveau 0000:01:00.0: PFIFO_INTR 0x00800000 - Ch 2
May 10 16:27:32 brendan-MS-7636 kernel: [ 6723.395155] [drm] nouveau 0000:01:00.0: PFIFO_INTR 0x04400000 - Ch 2
May 10 16:27:32 brendan-MS-7636 kernel: [ 6724.066053] [drm] nouveau 0000:01:00.0: vm flush timeout: engine 5
May 10 16:27:36 brendan-MS-7636 kernel: [ 6726.061655] [drm] nouveau 0000:01:00.0: PGRAPH TLB flush idle timeout fail: 0x00bff403 0x00140008 0x0000106d 0x0014db43
May 10 16:27:36 brendan-MS-7636 kernel: [ 6728.057240] [drm] nouveau 0000:01:00.0: vm flush timeout: engine 0
May 10 16:27:39 brendan-MS-7636 kernel: [ 6730.706787] [drm] nouveau 0000:01:00.0: PRAMIN flush timeout
May 10 16:27:39 brendan-MS-7636 kernel: [ 6730.706824] [drm] nouveau 0000:01:00.0: PFIFO_INTR 0x00800000 - Ch 2
May 10 16:27:40 brendan-MS-7636 kernel: [ 6732.031489] [drm] nouveau 0000:01:00.0: PFIFO_INTR 0x04400000 - Ch 2
May 10 16:27:41 brendan-MS-7636 kernel: [ 6732.702406] [drm] nouveau 0000:01:00.0: vm flush timeout: engine 5
May 10 16:27:44 brendan-MS-7636 rtkit-daemon[1350]: The canary thread is apparently starving. Taking action.
May 10 16:27:44 brendan-MS-7636 rtkit-daemon[1350]: Demoting known real-time threads.
May 10 16:27:44 brendan-MS-7636 rtkit-daemon[1350]: Successfully demoted thread 1700 of process 1646 (n/a).
May 10 16:27:44 brendan-MS-7636 rtkit-daemon[1350]: Successfully demoted thread 1699 of process ...

Read more...

openmissoula (mjewell) wrote :

My system freezes every few hours.

I've used ctrl-alt-fn+F1 to switch to another terminal and open a sudo bash shell and then back to my 64 bit 12.04 LTS Ubuntu Desktop (Lenovo Thinkpad E520) to keep working as long as possible before having to do a hard reboot.

Freezes happen less frequently when (a) logged in with the Ubuntu 2D option and (b) fewer applications are running.

When the freeze happens, I can't generally toggle back to the open bash shell on F1 because the keyboard and cursor are not responsive.

However, a few times, the system has become sluggish before freezing, and I was able to toggle back to the shell and use "top" to look for obvious malefactors.

So far I have not observed any large spikes in cpu use or memory or other strange numbers before the freeze made the entire system unresponsive. (I should note that I'm inexperienced at investigating this type of problem.)

Without help, I don't know how to ssh into the system to observe the freeze in real time and, because I'm supposed to be working at my regular job, I lack the minutes needed to work out how to do it. If I can get some time this weekend, I will call someone to help me and try it out.

Would it be helpful to post the output from dmesg and /var/log/syslog even if collected *after* a hard reboot? If there is other information that would be helpful, I can try to gather it.

Frank Trenkamp (drw06-frank) wrote :

Same here, X is freezing a couple of times a day, mouse still movable, no clicks/keyboard input accepted, but can switch login on a console via e.g. Alt+F1.

Running on an Lenovo R60 with an ATI Radeon X1400, updated 12.04 from 11.10; system was perfectly stable before the dist-upgrade.

Happy to provide further input if needed, can't find anything suspicious in dmesg, syslogs or xsession errors etc.

Robert Loggs (mrbloggs) wrote :

Same problem, freezing completely no input response at all. It definately looks like there's two bugs here:

One where just the display freezes CTRL/ALT/F1 allows access to a terminal.
One where system locks completely requiring hard reboot.

I'm guessing the hard freeze issues relate to a bug here which seems to be affecting multiple distros:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/908335

Skully (skully) wrote :

Not sure if its related but i have a similar problem after the upgrade from 10.04 to 12.04.
I usually get a freeze when i close tabs in my browser (often with flash elements, Opera) or just opening a link with a flash video.

After a while opera will be responsive again since the plugin are called in a separate process (plugin-wrapper) which crashes and will start again.

Also using x64 system with NVidia 9600GT and Gnome3 (gnome-shell).

Daniel Ferradal (dferradal) wrote :

Has anyone tried compiling and working with a different kernel version than the one which ships with ubuntu?

yorgasor (yorgasor) wrote :

I've been using the last kernel released with 11.10 since my crash yesterday. So far, I haven't had any problems. If I can last another day, I'll be 95% sure that solved the problem. I don't think I've gone 2 days since my upgrade on this computer. Oddly enough, I've upgraded 3 other laptops as well, one of which has an nvidia Quadro NVS 140M, but so far only my dual xeon w/ 24G ram & nvidia gt9600 workstation is having this problem. Only one of my laptops is running x64, but the one with the nvidia card is i386.

It looks like some people suffering from this problem have ATI cards and/or are on i386 as well, so maybe that isn't the common denominator.

Brendan Brigham (brigham) wrote :

I've trying to do some lite work today fixing my conkys that got messed up from stupidly installing 12.04 and had a freeze every 5-8 minutes for 2 hours, it won't be long and I'll have to replace my reset button o.O I should have stayed with 11.04.
Was using gedit and viewing my home folder only so it's not like my i3 or Nvidia card were working so I doubt it has anything to do with system usage.
Confirmed......but no importance ? There's gotta be thousands of systems that are doing this and it's not labelled critical or assigned ?

zemadz (zemadz) wrote :

Random freezes, I can access the console and move the mouse.

Thinkpad T60 (ATI X1400, 12.04 x64)

Hein (hhanssen) wrote :

After a large update yesterday including Compiz I hoped we would have some solution. Nope. My system still randomly freezes and my screen flashes like a strobe light in the discotheque sometimes.

What really bothers me is that if you google you see that lots and lots of Pangolin users suffer from this bug (over 200.000 hits) yet this bug hasn't been assigned yet. Solution to be far far away this probably means, or we must hope that some update will bring the solution accidentily.

If this is the way Ubuntu works these days, I'd rather spent a hundred bucks and get that so called crappy Windows 7: it at least doesn't freeze a twenty or thirty time a day. Or I will move away to another Linux distro that takes it's users a bit more serious.

For now to have a working system I will probably downgrade to 11.10.

I think it's mainly due to the fact that Ubuntu has been moving away from mainstream development with Unity and multiple monitor support. Don't get me wrong: I like the Unity concept and I also hope for a good multiple monitor solution for Linux, but I'd rather see efforts bundled instead of forked.

For now: please please please developers dive into this nasty bug. We (the users) are suffering: we need a GUI that works!

Hein (hhanssen) wrote :

For me it's enough now. I'm going to downgrade to 11.10/ reinstall 11.10. That version at least worked! Just got 5 times a hanging system in just 20 minutes: this is ridiculous!

fpippo (fpippo) wrote :

Hi,

some problem for me with oneiric kernel 3.0.0-19-generic gnome 3.2.1 64 bit - with today latest update .

Daniel Ferradal (dferradal) wrote :

I tried compiling the kernel from kernel.org, version 3.3.5, it took a while but it also freezed completely (machine completely unresponsive, no mouse or ping or ctrl+alt+f1 out of it) same as with ubuntu stock kernel.

I am including my syslog of the whole evening with the two different kernels (ubuntu, kernel.org 3.3.5, but since the freeze is sudden never gets anything substantial logged).

Daniel Ferradal (dferradal) wrote :

I must say I have installed 12.04 succesfully in 3 other machines with no freezes, so maybe this is happening on fairly new type of hardware?

My results in different boxes:
* Lenovo T400 laptop, Intel Integrated, 32bit install, successful
* Intel Core Duo E6600, 32bit install, Nvidia Gforce 210, succesful
* Zotac AD02, 64bit install, ATI integrated [Radeon HD 6310], successful
* Intel I7-950, 64bit install, Geforce GTX470, random total lockup/freezes.

yorgasor (yorgasor) wrote :

I've managed to solve my problem by using kernel 3.0.0-17-generic x86_64 from 11.10, and I've gone a couple days now without any lockup.

Norm (norm-nft) wrote :

I have the same problem with the 32 Bit version.
Frequent random lockups, the only thing that will work is the mouse cursor, hard reset to recover.
 The problem has also occurred during normal shutdown and system hangs and needs to be powered off to shutdown.
Have been forced to go back to Windows!
11.10 was working perfectly.

ASUS F3S series laptop
Intel Centrino DUO T7300 Processor
2 Gb Ram
500Gb HDD
NVIDA Geforce 8400M Video

Hein (hhanssen) wrote :

@ Norm. That's bad. I wanted to try the 32 bit version as I encounter the freezes with the 64 bit version. But if the 32 bit version does the same than that's no way out. Did you try the 64 bit version as well? It's necessary for the solution of this bug to know if both versions (64 and 32 bit) have this bug.

I will probably try the 32 bit version as live version and test if it does have the same lock ups. If not I will install it and test it further. I would still love to use Ubuntu 12.04 and I don't mind to use the 32 bit version as the 64 bit doesn't really have any direct advantages for me.

Strange that the importance of the bug is still undecided and has not yet been assigned to anyone. 25 users that take the trouble to report this bug must imply that there are at least hundreds, if not thousands of users running into trouble with this bug. And this bug is a real show stopper as it completely freezes the system! I ask my self what the developers are doing? Are they asleep?

Oibaf (oibaf) on 2012-05-20
summary: - ubuntu 12.04 64bit completely freezes frequently
+ ubuntu 12.04 completely freezes frequently
ketanpatil (patil-ketan) on 2012-05-21
description: updated
no longer affects: xorg-server
tags: added: precise
florin (floryn-todor) on 2012-05-28
Changed in xorg (Ubuntu):
status: Confirmed → Fix Released
C de-Avillez (hggdh2) on 2012-05-31
Changed in xorg (Ubuntu):
importance: Undecided → High
status: Fix Released → Confirmed
Bryce Harrington (bryce) on 2012-06-02
summary: - ubuntu 12.04 completely freezes frequently
+ ubuntu 12.04 completely freezes frequently while watching videos (Fixed
+ by 3.3.6 kernel)
Changed in linux (Ubuntu):
importance: Undecided → High
affects: xorg (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Changed in xserver-xorg-video-intel (Ubuntu Precise):
importance: Undecided → High
Changed in linux (Ubuntu Precise):
importance: Undecided → Critical
Brad Figg (brad-figg) on 2012-06-02
Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu Precise):
status: New → Incomplete
Ben Thornton (smenjas) on 2012-06-02
tags: added: apport-collected compiz-0.9 staging ubuntu
Bryce Harrington (bryce) on 2012-06-02
Changed in xserver-xorg-video-intel (Ubuntu Precise):
importance: High → Undecided
status: New → Won't Fix
Changed in linux (Ubuntu):
status: Incomplete → Won't Fix
Changed in linux (Ubuntu Precise):
status: Incomplete → Won't Fix
Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Won't Fix
Joris V. (brains) on 2012-06-05
summary: - ubuntu 12.04 completely freezes frequently while watching videos (Fixed
- by 3.3.6 kernel)
+ ubuntu 12.04 completely freezes frequently.
Joris V. (brains) on 2012-06-12
description: updated
z3r0z3r0 (ami6lukas) on 2012-06-16
description: updated
quequotion (quequotion) on 2012-08-05
no longer affects: xserver-xorg-video-intel
Chris Van Hoof (vanhoof) on 2012-08-05
no longer affects: intel
dasistwas (davidbogner) on 2012-08-24
security vulnerability: no → yes
Changed in linux (Ubuntu):
assignee: nobody → Alexey-Sandy (alexeysandy)
Moose (k-rottes) on 2012-09-19
tags: added: blocked
security vulnerability: yes → no
Changed in plymouth-theme-int2mil-ubuntu-11.04 (Ubuntu Precise):
status: New → Confirmed
Changed in plymouth-theme-int2mil-ubuntu-11.04 (Ubuntu):
status: New → Confirmed
Kayvan Javid (k-javid) on 2012-12-13
Changed in plymouth-theme-int2mil-ubuntu-11.04 (Ubuntu Precise):
status: Confirmed → Fix Released
todaioan (alan-ar06) on 2012-12-23
Changed in plymouth-theme-int2mil-ubuntu-11.04 (Ubuntu):
status: Confirmed → Fix Released
wirechief (wirechief) on 2013-01-11
information type: Public → Private Security
information type: Private Security → Public
Timo Aaltonen (tjaalton) on 2013-01-24
no longer affects: plymouth-theme-int2mil-ubuntu-11.04 (Ubuntu)
no longer affects: plymouth-theme-int2mil-ubuntu-11.04 (Ubuntu Precise)
Timo Aaltonen (tjaalton) on 2013-03-21
Changed in linux (Ubuntu):
assignee: Alexey-Sandy (alexeysandy) → nobody
status: Won't Fix → Fix Released
Changed in xserver-xorg-video-intel (Ubuntu):
status: Won't Fix → Fix Released
Changed in linux (Ubuntu Precise):
status: Won't Fix → Fix Released
Timo Aaltonen (tjaalton) on 2013-03-21
Changed in xserver-xorg-video-intel (Ubuntu Precise):
status: Won't Fix → Fix Released
725 comments hidden view all 805 comments
Linus van Geuns (nirkus) wrote :

I am using 12.04 x86_64 and since a few days, my Ubuntu informs me about "problems", which seem to relate to xserver-xorg-video-intel-lts-quantal.
Sometimes, the whole computer (GUI hangs, no reaction on mouse/keyboard, can't switch to the terminal) hangs for several seconds. A few minutes ago, the machine completely froze and needed a hard reset.

May this be the same issue or is it a new one with the lts-quantal backport?
What info do you need?

4 comments hidden view all 805 comments
Joe Carey (joecarey) wrote :

What we really need is to stop adding to this bug report. If you still have a bug, it is a different bug from this bug. If you are still experiencing freezes, file a bug report apart from this one, and include the files they ask for (I was new and didn't do this at first but there is a helpful reminder generated by a bot on how to use apport to collect this info and update your bug report very easily via the command line).

Felix (apoapo) wrote :

OK, i know, this bug should be stopped posting to but i could kind of workaround it:

A PC i am responsible for was crashing with 12.04 and 12.10 every hour nearly. What solved it for me:

1) Updated to raring ringtail (upcoming 13.04), kernel 3.8.x. (Why is raring THAT stable right now? It works really well here! But pls keep in mind its pre-beta. Though with this crashes here, you should be good to go for an upgrade ;-) )
2) Updated firmware on the harddrive (a SSD in my case)
3) flashed new bios (ASROCK mini itx mainboard h61m-itx)

In case you follow the steps, choose 3) 2) 1), cause updating the frmware on the SSD might erase your data.

It was a "rage-upgrade" (PC was close to forced death), i did not have the patience to update one-by-one to see what was the reason.

Good luck everyone, the Linux here is now rock solid again!

Linus van Geuns (nirkus) wrote :

Well, in the meantime I did create a new bug report for the freezes with xserver-xorg-video-intel-lts-quantal and Intel Sandy Bridge on Ubuntu 12.04:
#1161088

I did re-use this bug as those Sandy Bridge i915 drm hangs & system freezes do feel pretty similar to this bug and there was just about the same bug on Ubuntu 11.10...

Hi Everyone,

I'm still having this issue (2012-12-21 comment 609). Very annoying! Freezes seem to be completely random, at the best my laptop has been running fine longer than month, but for example during the past two weeks, maybe ten freezes.

Yes, mouse not moving, keyboard not responding, no ssh, Ctrl+Alt+F1 not working, no tty.. Closing lid does not suspend. The only option is to power off the computer from the power button and start over.

The same laptop also has W7 and RHEL6 installed, they run without problems..

Ubuntu 12.04.2 LTS with the latest updates. Please, see the lspci-info attached for the details. No proprietary drivers, Intel Ivy Bridge.

The bug #1154006 similar.. Fix appreciated, please.....!

Ubuntu 12.04.2 LTS
Intel® Core™ i7-3520M CPU @ 2.90GHz × 4
16GB memory
Lenovo X230

Hardware details/lspci-info attached..

christian aichert (caichert) wrote :

People...

I am tired of all this 12.04 problems...
It freezes all times long.
My PC is working very slowly.
I tried for weeks to solve the prolem.

At least I thought maybe better with Windos...

I remembered how great the performance was with Ubuntu 10.04...and than I simply installed
it again...

kicking out this stily looking but very unpractible 12.04 with such a kind of problems that I think ubuntu should kick it out and go back to 10.04...

Now I am writing this with my system running well, fast, all grafik aplications work well and with NO FREEZE absolutly...!!

People :

GO BACK TO UBUNTU 10.04 and save a lot of time in bug findings and commandline.sreaching...

Have FUN!

Frank Schilder (f-schilder) wrote :

I think this bug is assigned to the wrong package. It is very likely a kernel problem. On my hardware, the kernel actually detects the lock. I posted extracts from the syslog file recovered after a hard reset in the following two posts to another thread on the same problem: <a href="https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1154006/comments/42">1154006#42</a> and <a href="https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1154006/comments/46">1154006#46</a>. The lines to look for are

Apr 10 18:58:51 ceylon kernel: [ 2412.456005] ioatdma 0000:00:08.0: reset
Apr 10 18:58:52 ceylon kernel: [ 2412.603756] BUG: soft lockup - CPU#3 stuck for 22s! [svn:5127]

in #42 and

Apr 14 13:16:12 ceylon kernel: [18557.572005] ioatdma 0000:00:08.0: reset
Apr 14 13:16:12 ceylon kernel: [18557.772001] INFO: rcu_sched detected stall on CPU 1 (t=15000 jiffies)
Apr 14 13:16:12 ceylon kernel: [18557.772002] sending NMI to all CPUs:

in #46. I just went back to 10.04, the instability of 12.04 is just ridiculous. I hope that a kernel developer is following this discussion and might find a hint in the syslog extracts I posted under the other number.

peter yuen (requirement) wrote :

I have the same issue, .. mouse, keyboard,.. nothing can move.. the only solution is hard reboot. This issue happens a couple of times a day....

Joe Carey (joecarey) wrote :

If you have this bug, you are in luck, just updating your kernel to 3.4 will fix it. If that doesn't work, then you do not have this bug. You have something else. See if your symptoms or situation match this bug:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1154006

I want to confirm the bug for LMDE (Linux Mint Debian Edition) running a 3.2.0-4-amd64 kernel.
- Also complete freeze, even no tty; at least once a day, sometimes 4 times a day.
- Workaround: do not start Firefox with a video in a tab waiting to be viewed in a spare moment
- Solution: kernel upgrade. To 3.8.8 in my case.

<email address hidden>

Robert Hrovat (robi-hipnos) wrote :

Few weeks ago we moved from 10.04 to 12.04 at work. Mostly because of newer machines had problems with older kernels (no SATA, no sound). I have to admit that 10.04 was light years away from 12.04 when it comes to stability. There was mean time between crashes measured in weeks, when 12.04 can have 10 crashes in one hour. It's really disappointing. Right now I'm upgrading kernel to 3.2.0-41 and hoping it will fix freezes and crashes before coleagues at work crucifies me.

Will report after few days if that helped. If not, I have no clue what will I do since I'm running out of options. So if anyone can help me pointing in right direction or what can I do to help developers find and kill this annoying bug, I'm here.

Oh and those 60 machines at work are all from DELL, models Optiplex 380SFF, 390 SFF and 1030SFF. Just what's built in, with Intel graphics and all runing on Gnome Classic - no Unity. All machines are connected to network and has mounted Samba and NFS shares, each one of 100 users uses mostly Firefox, Thunderbird, LibreOffice, Audacity, VLC and some custom developed software.

Ironicaly Ubuntu HCL lists those machines as compatible when clearly they far from that.

Rabit rabit (o2918474) wrote :

So after 3 months I'm back here to check what's up with this bug. I have been using Windows in the meantime.
Seems like not much going on here. No solution yet?

Ok someone suggessted kernel 3.8.8 which I haven't tried. But since I've tried all kernel 3.2.x up to 3.6.x, I'm a bit reluctant to try 3.8.8. Can someone else confirm this kernel version fixes this bug?

Joe Carey (joecarey) wrote :

If updating to a later kernel doesn't work, then this isn't your bug. Please file your own bug report.

irgendwer (holop) wrote :

I've updated to the 12.04 LTS
The system crashes usually by using of gimp.
You can move the mous, but nothing to click.
You can login to the console and use the system and restart the pc.

HW:
Geforce 6100PM-M2
AMD Athlon 64x2Dual Core Proc 5000+
1024 M OK with 128 k shared Mem
CPU: Simple Chan. 64bit,2T
Ubuntu 12.04 LTS
(GNU/Linux 3.2.0-38-generic-pae-I686

Please help, or I have to downgrade back to 10.04

Joe Carey (joecarey) wrote :

This bug is already fixed, if you still have a problem, file a new bug report.

Hi everyone,

I think this bug is not solved on 12.04 LTS. If it's a kernel bug, the patch should be backported to the latest official 12.04 kernel and delivered via normal software update.

Some people suggested for example to update to kernel v. 3.3.6 available here: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3.6-precise . That kernel is more than one year old and does not contain many important security fixes. If start using something like this, maybe should update to the latest kernel from kernel.org and compile it. I think most of the users don't want to do that.

I run many computers with 12.04 without problems, but I have fatal and occasional freezes only with my newest Intel Ivy Birdge laptop. (see #774)

Hoping for the fix, please. Thanks.

Robert Hrovat (robi-hipnos) wrote :

So much about LTS. Can anyone confirm this will ever be fixed or should we just abandon Linux since this is total showstopper in my company and I ran out of options and excuses :(

Mkchan (mkchan) wrote :

I was only able to stop my kernel freezes by using the kernel option of: processor.max_cstates=1
I filed a new bug for this at:
  https://bugs.launchpad.net/bugs/1159065
which is still open.

Hyuristyle (hyuristyle) wrote :

Exactly the same problem here. System freezes completely; no mouse, keyboard, audio; nothing.
Systems:
Lubuntu 12.10
Ubuntu 12.10

Processor: Intel Pentium 4, 3.0 Ghz, Single Core with 2 Threadings.
Graphics card: Off board; ATI Radeon 9600
Hard disk: HDD Maxtor 6G160E0 (KA101V00), 160 GB
RAM: 1 GB

"lspci" output, if helps:
http://paste.ubuntu.com/5885000/

I am not sure, but i had a freeze another day on Windows XP that was very similar to these on Lubuntu and Ubuntu, but happened only one time contrary to Lubuntu and Ubuntu that happens all the time i am using Blender or watching a video.

Andrew Voumard (andrewv) wrote :
Download full text (9.9 KiB)

Hi,

I also had the problem where my kubuntu 12.04 install was completely hardware freezing - i.e absolutely no response from any input device and in particular CTRL+ALT+SysRq REISUB was not responding at all either.

I found the problem was happening close to when I was switching the external monitor on & off (I switch it via a KVM switch).

Note that I use x11vnc to remotely connect to the same desktop, and I think that may have helped trigger the fault.

I updated ALL installed software, but to no avail, it was happening 3 or 4 times a day ...

*** THE FOLLOWING FIX WORKED FOR ME -been ROCK SOLID for a week now ***

I installed the following kernel upgrade described here:

http://askubuntu.com/questions/142192/can-i-install-linux-kernel-3-4-in-ubuntu-and-kubuntu-12-04

So I downloaded from:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-precise/

And did:
sudo dpkg -i linux-headers-3.4.0-030400_3.4.0-030400.201205210521_all.deb
sudo dpkg -i linux-headers-3.4.0-030400-generic_3.4.0-030400.201205210521_i386.deb
sudo dpkg -i linux-image-3.4.0-030400-generic_3.4.0-030400.201205210521_i386.deb

Rebooted, and the problem completely disappeared (so far anyway !)

My machine specs:

uname -r
3.4.0-030400-generic

MOBO: ASUS P8Z77-V-LX

I am using the onboard video, with nothing but the default kubuntu video installation.

lshw output follows:

bridge2
    description: Computer
    width: 64 bits
    capabilities: vsyscall32
  *-core
       description: Motherboard
       physical id: 0
     *-memory
          description: System memory
          physical id: 0
          size: 31GiB
     *-cpu
          product: Intel(R) Core(TM) i7-3770 CPU @ 3.40GHz
          vendor: Intel Corp.
          physical id: 1
          bus info: cpu@0
          size: 1600MHz
          capacity: 1600MHz
          width: 64 bits
          capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp x86-64 constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer aes xsave avx f16c rdrand lahf_lm ida arat epb xsaveopt pln pts tpr_shadow vnmi flexpriority ept vpid fsgsbase smep erms cpufreq
     *-pci
          description: Host bridge
          product: Ivy Bridge DRAM Controller
          vendor: Intel Corporation
          physical id: 100
          bus info: pci@0000:00:00.0
          version: 09
          width: 32 bits
          clock: 33MHz
          configuration: driver=agpgart-intel
          resources: irq:0
        *-pci:0
             description: PCI bridge
             product: Ivy Bridge PCI Express Root Port
             vendor: Intel Corporation
             physical id: 1
             bus info: pci@0000:00:01.0
             version: 09
             width: 32 bits
             clock: 33MHz
             capabilities: pci normal_decode bus_master cap_list
             configuration: driver=pcieport
             resources: irq:42
        *-display
             description: VGA compatible controller
   ...

Adrian Sarmas (adrian-sarmas) wrote :

I was able to stop system freezing by choosing 3.2.0-48-generic-pae on boot instead of the latest version. Try older kernel versions.

Eduardo (ngc6720) wrote :

476 users and still no attention from the developers. 8 MONTHS after the release of Ubuntu 12.04 and still having whole system freezes on a daily basis. In two fully different computers, with the i386 and amd64 versions of Ubuntu 12.04.

Users that turn their computers off after a several hours session will almost never notice the freezes. It is us users who want to leave our computers running for more than one day, who are suffering this problem. The average running time before a whole system freeze is about 10 hours, though sometimes it may happen in much shorter/longer time. Please somebody explain me that, or I will start elaborating conspirational theories, because it really FEELS as there is a hidden timer in the kernel, with an random average pre-set running time around ten hours.

Is this part of some fight against P2P piracy? My teenage eMule times are far beyond, and I don't much know about how the corresponding programs work today, but I badly need to run numerical simulations at home, and some of them take about 3 days. Most times they are ruined by these freezes. I already have changed the distro to an older Fedora in one of the computers, so that my simulations run fine there. But my laptop still has (K)ubuntu 12.04. I am still waiting, hoping and apt-get updating, for months now. But I am getting tired. I may give up soon and say goodbye to a long, personal tradition of confidence on Ubuntu. I am getting sick of waking up in the morning, going to the computer and seeing that it has frozen again during the night.

Linus van Geuns (nirkus) wrote :

Did switch to Debian wheezy (7.x) several month ago and never had to deal with any system freezes since then.

rsoika (ralph-soika) wrote :

I also switch to Debian 7. But I had still freezes.
Now that I am running kernel version 3.12.0 it seems that my system becomes stable. I saw 'only' one freeze in 14 days.
After all (I am affected from this problem still 10 month!) I guess that the problem is issued by the wifi. But I did not know how to test or verify this.

I can confirm that it's caused by compiz not unity.
I have removed unity and activated the compiz application switcher as alt+tab on precise doesn't work.
Often, when I press alt-tab to switch application, ubuntu freezes and I cannot even use ctrl+alt+f1
It even happened with alt-f4 to close a window.
Now I understand why alt+tab has been disabled on precise.

Joe Carey (joecarey) wrote :

Maybe y'all have failing hardware.

sri4985 (sri4985) wrote :

I am also facing the same problem.

Suddenly at any time it can freezes.
I am unable to handle the mouse, keyboard and other devices.
Display also just freezing.
CPU led indicator also not blinking.

Some time booting also failed.

Please help me.

always i am keeping my system as upto-date. but still i am getting the same issue.

My system info :

Processor : Intel Core i3-3210 @3.20GHz
Mother Board : Intel DH61BF
RAM : 8GB DDR3
Hard Drive : Seagate 500GB SATA

Operating System : Ubuntu 12.04.3 LTS
Kernel : Linux 3.2.0-56-generic (x86-64)
Desktop Environment : XFCE 4

Please help me.......

Download full text (14.9 KiB)

using the series 3.2.0-xx of kernel on my Ubuntu 12.04.03 the system just get stuck at ubuntu's dots screen every 4 or 5 boot, nothing works, not even keyboard just it is posible turn off by a hard reset.

My system also uses :compiz-fusion- 0.9.7.0~bzr9-0 transitional dummy package.
                                       :compiz 1:0.9.7.12-0ub OpenGL window and compositing manager

After upgrade the kernel to 3.5.0-37-generic #58~precise1-Ubuntu SMP Wed Jul 10 17:48:11 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux,
all things was going better...
from this upgrade, system run well and don't stuck at boot or hangs.

all machine specs:

    descripción: Computer
    anchura: 64 bits
    capacidades: vsyscall32
  *-core
       descripción: Motherboard
       id físico: 0
     *-memory
          descripción: Memoria de sistema
          id físico: 0
          tamaño: 7881MiB
     *-cpu
          producto: Intel(R) Core(TM) i3-2328M CPU @ 2.20GHz
          fabricante: Intel Corp.
          id físico: 1
          información del bus: cpu@0
          tamaño: 800MHz
          capacidad: 800MHz
          anchura: 64 bits
          capacidades: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp x86-64 constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer xsave avx lahf_lm arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept vpid cpufreq
     *-pci
          descripción: Host bridge
          producto: 2nd Generation Core Processor Family DRAM Controller
          fabricante: Intel Corporation
          id físico: 100
          información del bus: pci@0000:00:00.0
          versión: 09
          anchura: 32 bits
          reloj: 33MHz
        *-display
             descripción: VGA compatible controller
             producto: 2nd Generation Core Processor Family Integrated Graphics Controller
             fabricante: Intel Corporation
             id físico: 2
             información del bus: pci@0000:00:02.0
             versión: 09
             anchura: 64 bits
             reloj: 33MHz
             capacidades: vga_controller bus_master cap_list rom
             configuración: driver=i915 latency=0
             recursos: irq:43 memoria:52000000-523fffff memoria:40000000-4fffffff ioport:4000(size=64)
        *-communication
             descripción: Communication controller
             producto: 7 Series/C210 Series Chipset Family MEI Controller #1
             fabricante: Intel Corporation
             id físico: 16
             información del bus: pci@0000:00:16.0
             versión: 04
             anchura: 64 bits
             reloj: 33MHz
             capacidades: bus_master cap_list
             configuración: driver=mei latency=0
             recursos: irq:44 memoria:52604000-5260400f
        *-usb:0
             descripción: USB controller
             producto: 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2
             fabricante: Intel Corpora...

Alex Burfee (joop-wow) wrote :

I have been facing this problem for a long time now and it still doesn't seem to get fixed. To me it happens most often on multimonitor using HDMI, but also with a single monitor or multimonitor using VGA.

Using a Dell Studio XPS 1340 laptop with:
Ubuntu 12.04
Kernel: Linux 3.2.0-57-generic x86_64 GNU/Linux
CPU: Intel(R) Core(TM)2 Duo CPU P8700 @ 2.53GHz
GPU - NVIDIA SLI:
nvidia-smi -L
GPU 0: GeForce G210M (UUID: GPU-1b0674e3-9c44-6152-8b35-14ac258e89df)
GPU 1: GeForce 9400M G (UUID: GPU-0c72438f-4b81-5d92-cf00-974a003c6fc5)
Driver Version: NVIDIA-Linux-x86_64-331.20 - dowloaded from NVIDIA site, but getting the same problem with the ones in the Ubuntu repository

I've been losing a lot of time trying to fix it by reinstalling NVIDIA drivers. It caused me to lose a lot of work by freezing my computer randomly.

Antonio Falk (zvacketz) wrote :

I have also been facing this problem for a long time. It began with 12.04LTS as I remember. Previously the system was stable as a rock running 10.04 LTS.

Tried to re-install the OS from scratch, but still facing the problem. Changed Video card, main board. Swapping RAM tried different graphics drivers, different available kernels but there is still random freezing. Could not effort to change the $1000 CPU...

To me it happens most often when kicking on a link in Thunderbird to be opened in Firefox. Complete freeze, but the mice some times still moves around. No response from keyboard at all (numloc and capsloc LEDs does not change). Some times the system freeze when running in idle, and I discover this at logon screen. Normal uptime is about two three days between forced HW reboots.

The strange about this bug is, that my kids runs a PC Intel Core i7-3770 3,4GHz Asrock/Gigabyte B75-Chipset mATX without facing any problem at all. I'm also user on the PC, running Gnome classic and compiz. I never log out, just switch user. It only reboots when applying new packages that requires a reboot, els its always running stable.

Current configuration facing this problem:

uptime 12:57:54 up 1 day, 2:22

Gnome Classic + Compiz
Linux-x86_64
Intel(R) Core(TM) i7-3960X CPU @ 3.30GHz
Kernel 3.8.0-34-generic
NVIDIA GTX760 Driver Version: 319.32
/dev/sda Samsung SSD 840
16 GB Main Memory
MB Rampage IV Extreme

rsoika (ralph-soika) wrote :

I am also facing the same issue.
But since I am running kernel version 3.12.x the system is very stable. Freezes only once in a week with 3.12.5 (before I had freezes 1-3 times a day)
I am not sure if it is the kernel version. As I am now working with Debian Jessie I also got a lot of updates from firmware to wifi driver. I am still thinking about if the issue could be related to the wlan area/power management....?

Derek Gentle (p-derek) wrote :

I am also having an issue where my system completely locks up. Mouse / keyboard are unresponsive and I am unable to ssh in from another system.

This is a new build with all new hardware:

ASUS H81I-PLUS Socket 1150 w/ Intel H81 Chipset
Intel Pentium G3220 Dual-Core Processor @ 3.0 GHz
Team Vulcan 8GB (2 x 4GB) 240-Pin DDR3 1600 (under clocked to 1333 by the BIOS)
Intel 330 Series 60GB SSD
on-board Intel graphics connected via HDMI to a 24" Samsung LCD TV

I was originally running openSuSE 13.3 w/KDE, but as this system is meant to be a multimedia system, it was causing more trouble that I wanted to deal with. I do not recall it freezing at any time.
I then installed Kubuntu 13.10 64bit as the multimedia support is better than SuSE. This is when I started to get multiple lock ups. I thought maybe it was due to something not being happy with 13.10, so I installed 12.04.3 LTS w/ KDE 4.12. I also removed the 8GB 'Team' memory and installed a single 4GB ADATA 1333MHz DIMM.
This appeared to have resolved the issue, but it locked up on me three times yesterday. Once while using Amarok (remote mySQL database & collection on a FreeNAS NFS share), once while just using the desktop and another while attempting to play an 800MB .MKV file in XBMC standalone (remote mySQL, file located on a FreeNAS NFS share).
I've checked the various logs, and there does not appear to be anything of any relevance as nothing 'crashes' exactly, the entire system just locks.

I've disabled all power management features & functions.
No wi-fi hardware installed / enabled.
Cat 6 gigabit network connection.
Microsoft Sculpt bluetooth keyboard w/ ASUS bluetooth dongle
- paired with bluemon
Microsoft ARC wireless mouse w/ MS wireless dongle

Download full text (12.8 KiB)

Now using kernel 3.5.0-44-generic #67~precise1-Ubuntu SMP Wed Nov 13 16:16:57 on my system HP-1000 1323la
LSB Version: core-2.0-amd64:core-2.0-noarch:core-3.0-amd64:core-3.0-noarch:core-3.1-amd64:core-3.1-noarch:core-3.2-amd64:core-3.2-noarch:core-4.0-amd64:core-4.0-noarch
Distributor ID: Ubuntu
Description: Ubuntu 12.04.3 LTS
Release: 12.04
Codename: precise

all goes really good , no hung or stucks at all

more detailed specs of my machine :

    descripción: Computer
    anchura: 64 bits
    capacidades: vsyscall32
  *-core
       descripción: Motherboard
       id físico: 0
     *-memory
          descripción: Memoria de sistema
          id físico: 0
          tamaño: 7881MiB
     *-cpu
          producto: Intel(R) Core(TM) i3-2328M CPU @ 2.20GHz
          fabricante: Intel Corp.
          id físico: 1
          información del bus: cpu@0
          tamaño: 800MHz
          capacidad: 800MHz
          anchura: 64 bits
          capacidades: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp x86-64 constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer xsave avx lahf_lm arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept vpid cpufreq
     *-pci
          descripción: Host bridge
          producto: 2nd Generation Core Processor Family DRAM Controller
          fabricante: Intel Corporation
          id físico: 100
          información del bus: pci@0000:00:00.0
          versión: 09
          anchura: 32 bits
          reloj: 33MHz
        *-display
             descripción: VGA compatible controller
             producto: 2nd Generation Core Processor Family Integrated Graphics Controller
             fabricante: Intel Corporation
             id físico: 2
             información del bus: pci@0000:00:02.0
             versión: 09
             anchura: 64 bits
             reloj: 33MHz
             capacidades: vga_controller bus_master cap_list rom
             configuración: driver=i915 latency=0
             recursos: irq:42 memoria:52000000-523fffff memoria:40000000-4fffffff ioport:4000(size=64)
        *-communication
             descripción: Communication controller
             producto: 7 Series/C210 Series Chipset Family MEI Controller #1
             fabricante: Intel Corporation
             id físico: 16
             información del bus: pci@0000:00:16.0
             versión: 04
             anchura: 64 bits
             reloj: 33MHz
             capacidades: bus_master cap_list
             configuración: driver=mei latency=0
             recursos: irq:44 memoria:52604000-5260400f
        *-usb:0
             descripción: USB controller
             producto: 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2
             fabricante: Intel Corporation
             id físico: 1a
             información del bus: pci@0000:00:1a.0
             versión: 04
             anchura: 32 bits
             reloj: 33MHz
             capacidades: ehci bus_mas...

VaidhyM (vaidhyanathan-m) wrote :

I am running Ubuntu 12.04 LTS. I am facing the full freeze issues too. So much that its froze for 12 times in 2 hours. Hard Reboot is the only way to revive the system. The configuration is,

Intel Core i7 2630QM @ 2.00 GHz
4 GB RAM (2x2) + 2 GB Swap
nVidia GT 540M

During freezes trackpad doesn't work. Some have upgraded kernel from 3.2 to 3.4 and have solved their issues. I am running kernel 3.8 and still facing issues. The Xorg display drivers seemed to create problems so running Additional Drivers for nVidia recommended by Ubuntu. Any views on how to proceed further? Strangest thing is never once a bug report was generated after hard reset of the laptop. Any help is appreciated. Thanks!

Download full text (3.5 KiB)

Hi,

I was running different Nvidia graphic cards with different proprietary
Nvidia drivers (see my previous post).

Changed the Nvidia graphic card to an old HD 5670 Radeon AMD and loaded
the catalyst drivers. *Until now no more system hangups has appeared.*
Will try e newer AMD R9 290 card later on.

This explains why my kids PC did not hang at all, due to running it on the
internal Intel CPU graphic.

So for my system, it seems that the freezes was related to graphic card. I
don't know if the bug is in the proprietary Nvidia drivers or in Ubuntu.
Sad to change from the Nvidia, because it always worked like a dream in
Linux.

Den 27 jan 2014 12:11 skrev "VaidhyM" <email address hidden>:

> I am running Ubuntu 12.04 LTS. I am facing the full freeze issues too.
> So much that its froze for 12 times in 2 hours. Hard Reboot is the only
> way to revive the system. The configuration is,
>
> Intel Core i7 2630QM @ 2.00 GHz
> 4 GB RAM (2x2) + 2 GB Swap
> nVidia GT 540M
>
> During freezes trackpad doesn't work. Some have upgraded kernel from 3.2
> to 3.4 and have solved their issues. I am running kernel 3.8 and still
> facing issues. The Xorg display drivers seemed to create problems so
> running Additional Drivers for nVidia recommended by Ubuntu. Any views
> on how to proceed further? Strangest thing is never once a bug report
> was generated after hard reset of the laptop. Any help is appreciated.
> Thanks!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/993187
>
> Title:
> ubuntu 12.04 completely freezes frequently.
>
> Status in “linux” package in Ubuntu:
> Fix Released
> Status in “xserver-xorg-video-intel” package in Ubuntu:
> Fix Released
> Status in “linux” source package in Precise:
> Fix Released
> Status in “xserver-xorg-video-intel” source package in Precise:
> Fix Released
>
> Bug description:
> Update: 6/12/2012
> This bug is about a complete system lock-up. No other TTYs can be
> started. Mouse doesn't move. Keyboard doesn't react. The only solution is
> hard reset.
>
> Seems to happen on a variety of configurations, including nVidia, ATI
> and Intel graphics.
>
> If you are still able to TTY or SSH into other sessions, move the
> mouse or use the keyboard, file another bug.
>
> Thx. Joris V. (brains).
>
> Update: 5/21/2012
> Updating the kernel to 3.3.6 as suggested by Michael in #91, the system
> seems stable, no freezes yet in 5-6 hrs of using and watching videos for
> couple of hrs.
>
> Original description:
> I recently installed newly released ubuntu 12.04 LTS 64 bit version on
> my desktop. And it is frequently freezing, for the first few hours it ran
> smoothly and when I started watching videos it started freezing randomly.
> I have to use hard restart every time.
> Initially it was only during videos but now even during normal browsing
> it is freezing.
>
> I am using on board graphics and do not have any graphics card
> installed.
>
> Can someone please help me here, I really love the new looks of 12.04
> and it bugs me not being able to use :(
>
> Below is my hardware configuration:
> Proce...

Read more...

Displaying first 40 and last 40 comments. View all 805 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.